Page MenuHomePhabricator

Fix raw HTML tags breaking 1.29.0-wmf19+
Closed, ResolvedPublic2 Story Points

Description

The new MediaWiki release is breaking templates on donatewiki:
https://donate.wikimedia.org/wiki/Special:FundraiserLandingPage?uselang=en&country=NL

We're causing releng tangible pain until this is fixed.

Details

Related Gerrit Patches:
mediawiki/extensions/FundraiserLandingPage : wmf/1.29.0-wmf.20Kludge an exception to allow raw HTML in system messages
mediawiki/extensions/FundraiserLandingPage : wmf/1.29.0-wmf.20Fix sanitization regex
mediawiki/extensions/FundraiserLandingPage : wmf/1.29.0-wmf.19Kludge an exception to allow raw HTML in system messages
mediawiki/extensions/FundraiserLandingPage : masterKludge an exception to allow raw HTML in system messages
mediawiki/extensions/FundraiserLandingPage : wmf/1.29.0-wmf.19Fix sanitization regex
mediawiki/extensions/FundraiserLandingPage : masterFix sanitization regex

Related Objects

Event Timeline

awight created this task.Apr 11 2017, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2017, 5:12 PM
awight triaged this task as Unbreak Now! priority.Apr 11 2017, 5:13 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptApr 11 2017, 5:13 PM
demon renamed this task from Fix raw HTML tags breaking 1.29.0-wmf19 security release to Fix raw HTML tags breaking 1.29.0-wmf19+.Apr 11 2017, 5:16 PM

(minor tweak to title, it's not a security release, and donatewiki would be affected on all releases wmf.19 and above)

Change 347656 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@master] Fix sanitization regex

https://gerrit.wikimedia.org/r/347656

Change 347660 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@master] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347660

Change 347656 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@master] Fix sanitization regex

https://gerrit.wikimedia.org/r/347656

Change 347660 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@master] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347660

Change 347863 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.19] Fix sanitization regex

https://gerrit.wikimedia.org/r/347863

Change 347864 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.19] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347864

Change 347865 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.20] Fix sanitization regex

https://gerrit.wikimedia.org/r/347865

Change 347863 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.19] Fix sanitization regex

https://gerrit.wikimedia.org/r/347863

Change 347866 had a related patch set uploaded (by Awight):
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.20] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347866

Change 347864 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.19] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347864

Change 347865 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.20] Fix sanitization regex

https://gerrit.wikimedia.org/r/347865

Change 347866 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@wmf/1.29.0-wmf.20] Kludge an exception to allow raw HTML in system messages

https://gerrit.wikimedia.org/r/347866

Mentioned in SAL (#wikimedia-operations) [2017-04-12T16:35:20Z] <awight@tin> Synchronized php-1.29.0-wmf.19/extensions/FundraiserLandingPage: Fix for donatewiki T162716 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-04-12T16:37:31Z] <awight@tin> Synchronized php-1.29.0-wmf.20/extensions/FundraiserLandingPage: Fix for donatewiki T162716 (duration: 00m 45s)

awight closed this task as Resolved.Apr 12 2017, 4:48 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:32 PM
awight set the point value for this task to 2.Aug 29 2017, 9:48 PM